/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\Elegance.cs
Lines of code: 38

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class Elegance : CompositeBow
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public Elegance()
		{
			Hue = 1265;
			Name = "Elegance";
			WeaponAttributes.HitLeechMana = 35;
			WeaponAttributes.HitLightning = 35;
			Attributes.WeaponSpeed = 35;
			Attributes.WeaponDamage = 35;
			Attributes.LowerAmmoCost = 10;
		}

		public Elegance( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			if(version==0)
			{
				Attributes.LowerAmmoCost = 10;
			}
		}
	}
}